org.apache.tinkerpop.gremlin.structure

## Annotation Type Graph.OptIn

-     @Retention(value=RUNTIME)
       @Target(value=TYPE)
       @Repeatable(value=Graph.OptIns.class)
       @Inherited
      public static @interface Graph.OptIn

  Defines the test suite that the implementer has decided to support and represents publicly as "passing". Marking the `Graph` instance with this class allows that particular test suite to run.

- - ### Field Summary

    Fields
    Modifier and Type | Fields and Description
    --- | ---
    `static String` | `SUITE_GROOVY_ENVIRONMENT` Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.
    `static String` | `SUITE_GROOVY_ENVIRONMENT_INTEGRATE` Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.
    `static String` | `SUITE_GROOVY_ENVIRONMENT_PERFORMANCE` Deprecated. As of release 3.2.4, effectively replaced by the gremlin-benchmarks module.
    `static String` | `SUITE_GROOVY_PROCESS_COMPUTER` Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.
    `static String` | `SUITE_GROOVY_PROCESS_STANDARD` Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.
    `static String` | `SUITE_PROCESS_COMPUTER`
    `static String` | `SUITE_PROCESS_PERFORMANCE` Deprecated. As of release 3.2.4, effectively replaced by the gremlin-benchmarks module.
    `static String` | `SUITE_PROCESS_STANDARD`
    `static String` | `SUITE_STRUCTURE_INTEGRATE`
    `static String` | `SUITE_STRUCTURE_PERFORMANCE` Deprecated. As of release 3.2.4, effectively replaced by the gremlin-benchmarks module.
    `static String` | `SUITE_STRUCTURE_STANDARD`

  - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` The test suite class to opt in to.

- - ### Field Detail

    - #### SUITE_STRUCTURE_STANDARD

          public static final String SUITE_STRUCTURE_STANDARD

  - - #### SUITE_STRUCTURE_INTEGRATE

          public static final String SUITE_STRUCTURE_INTEGRATE

  - - #### SUITE_STRUCTURE_PERFORMANCE

          @Deprecated
          public static final String SUITE_STRUCTURE_PERFORMANCE

      Deprecated. As of release 3.2.4, effectively replaced by the gremlin-benchmarks module.

  - - #### SUITE_PROCESS_COMPUTER

          public static final String SUITE_PROCESS_COMPUTER

  - - #### SUITE_PROCESS_STANDARD

          public static final String SUITE_PROCESS_STANDARD

  - - #### SUITE_PROCESS_PERFORMANCE

          @Deprecated
          public static final String SUITE_PROCESS_PERFORMANCE

      Deprecated. As of release 3.2.4, effectively replaced by the gremlin-benchmarks module.

  - - #### SUITE_GROOVY_PROCESS_STANDARD

          @Deprecated
          public static final String SUITE_GROOVY_PROCESS_STANDARD

      Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.

  - - #### SUITE_GROOVY_PROCESS_COMPUTER

          @Deprecated
          public static final String SUITE_GROOVY_PROCESS_COMPUTER

      Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.

  - - #### SUITE_GROOVY_ENVIRONMENT

          @Deprecated
          public static final String SUITE_GROOVY_ENVIRONMENT

      Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.

  - - #### SUITE_GROOVY_ENVIRONMENT_INTEGRATE

          @Deprecated
          public static final String SUITE_GROOVY_ENVIRONMENT_INTEGRATE

      Deprecated. As of release 3.2.4, not replaced as a test suite that Graph Providers need to implement.

  - - #### SUITE_GROOVY_ENVIRONMENT_PERFORMANCE

          @Deprecated
          public static final String SUITE_GROOVY_ENVIRONMENT_PERFORMANCE

      Deprecated. As of release 3.2.4, effectively replaced by the gremlin-benchmarks module.

  - ### Element Detail

    - #### value

          public abstract String value

      The test suite class to opt in to.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.